<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.EditPlataTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.EditPlataLabel_plataId}" for="plataId" />
                    <h:inputText id="plataId" value="#{plataController.selected.plataId}" title="#{bundle.EditPlataTitle_plataId}" required="true" requiredMessage="#{bundle.EditPlataRequiredMessage_plataId}"/>
                    <h:outputLabel value="#{bundle.EditPlataLabel_iznos}" for="iznos" />
                    <h:inputText id="iznos" value="#{plataController.selected.iznos}" title="#{bundle.EditPlataTitle_iznos}" required="true" requiredMessage="#{bundle.EditPlataRequiredMessage_iznos}"/>
                    <h:outputLabel value="#{bundle.EditPlataLabel_zaMesec}" for="zaMesec" />
                    <h:inputText id="zaMesec" value="#{plataController.selected.zaMesec}" title="#{bundle.EditPlataTitle_zaMesec}" required="true" requiredMessage="#{bundle.EditPlataRequiredMessage_zaMesec}"/>
                    <h:outputLabel value="#{bundle.EditPlataLabel_korisnikId}" for="korisnikId" />
                    <h:selectOneMenu id="korisnikId" value="#{plataController.selected.korisnikId}" title="#{bundle.EditPlataTitle_korisnikId}" required="true" requiredMessage="#{bundle.EditPlataRequiredMessage_korisnikId}">
                        <f:selectItems value="#{zaposlenController.itemsAvailableSelectOne}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <h:commandLink action="#{plataController.update}" value="#{bundle.EditPlataSaveLink}"/>
                <br />
                <br />
                <h:link outcome="View" value="#{bundle.EditPlataViewLink}"/>
                <br />
                <h:commandLink action="#{plataController.prepareList}" value="#{bundle.EditPlataShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.EditPlataIndexLink}" />
            </h:form>
        </ui:define>
    </ui:composition>

</html>
